1. Pandian Rengachari
  2. PowerBuilder
  3. Wednesday, 03 April 2019

Hi Team,

I have PowerBuilder 2017 R3 installed in my machine as well I have PowerBuilder 12.5 in my machine. When I was running application from migrated source code in PowerBuilder 2017 (from source code), I am getting "Appeon PowerBuilder 2017 R3 has stopped working"

Please help. 

Thanks!

Regards,

Pandian R

 

 

 

Accepted Answer
Chris Pollach Accepted Answer Pending Moderation
1
Votes
Undo

Hi Pandian;

  Make sure that the PB2017Rx folders in the O/S "System Path" are before the PB 12.x ones. There are some common DLL's (same name) that are loaded. Using a higher version of those from a higher PB version is usually OK for lower PB versions. However the reverse case, this can lead to stability issues (depending on the features used of course).

HTH

Regards ... Chris

Comment
There are no comments made yet.
  1. Wednesday, 3 April 2019
  2. PowerBuilder
  3. # Permalink
Kevin Ridley Accepted Answer Pending Moderation
1
Votes
Undo

Try doing a full rebuild on the target.  You can also try optimizing the PBLs after the full build.  We've done several migrations and we almost always have to do a full build after.

Comment
There are no comments made yet.
  1. Wednesday, 3 April 2019
  2. PowerBuilder
  3. # 1
  • Page :
  • 1


There are no replies made for this question yet.
However, you are not allowed to reply to this question.